## helma.objectmodel
Class NodeEvent

    java.lang.Object
      helma.objectmodel.NodeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class NodeEvent

extends java.lang.Object
implements java.io.Serializable

This is passed to NodeListeners when a node is modified.

See Also:
  Serialized Form

Field Summary
`java.lang.Object` `arg`
`static int` `CONTENT_CHANGED`
`java.lang.String` `id`
`INode` `node`
`static int` `NODE_REMOVED`
`static int` `NODE_RENAMED`
`static int` `PROPERTIES_CHANGED`
`static int` `SUBNODE_ADDED`
`static int` `SUBNODE_REMOVED`
`int` `type`

Constructor Summary
`NodeEvent(INode node, int type)` Creates a new NodeEvent object.
`NodeEvent(INode node, int type, java.lang.Object arg)` Creates a new NodeEvent object.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENT_CHANGED

    public static final int CONTENT_CHANGED

See Also:
  Constant Field Values

### PROPERTIES_CHANGED

    public static final int PROPERTIES_CHANGED

See Also:
  Constant Field Values

### NODE_REMOVED

    public static final int NODE_REMOVED

See Also:
  Constant Field Values

### NODE_RENAMED

    public static final int NODE_RENAMED

See Also:
  Constant Field Values

### SUBNODE_ADDED

    public static final int SUBNODE_ADDED

See Also:
  Constant Field Values

### SUBNODE_REMOVED

    public static final int SUBNODE_REMOVED

See Also:
  Constant Field Values

### type

    public int type

### id

    public java.lang.String id

### node

    public transient INode node

### arg

    public transient java.lang.Object arg

Constructor Detail

### NodeEvent

    public NodeEvent(INode node,
                     int type)

  Creates a new NodeEvent object.

  Parameters:
    `node` - ...
    `type` - ...

### NodeEvent

    public NodeEvent(INode node,
                     int type,
                     java.lang.Object arg)

  Creates a new NodeEvent object.

  Parameters:
    `node` - ...
    `type` - ...
    `arg` - ...

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.